%define initdir %{_sysconfdir}/rc.d/init.d
%define auth %(test -f /etc/pam.d/system-auth && echo /etc/pam.d/system-auth || echo)

%define vscan 1
%define vscan_version 0.3.5

%{!?vscan:%define vscan 0}

Summary: The Samba SMB server.
Name: samba
Version: 3.0.20b
Release: 3AX
License: GNU GPL Version 2
Group: System Environment/Daemons
URL: http://www.samba.org/

Source: ftp://us2.samba.org/pub/samba/%{name}-%{version}.tar.gz

# Red Hat specific replacement-files
Source1: samba.log
Source2: samba.xinetd
Source3: swat.desktop
Source4: samba.sysconfig
Source5: smb.init
Source6: samba.pamd
Source7: smbprint
Source8: winbind.init

# Asianux 
Source100: samba-vscan-%{vscan_version}.tar.bz2
Source101: samba-3.0.2a-imgfiles.tar.gz
Source102: samba-3.0.1-docs_ja_20040227.tar.gz
Source103: samba-usrmgr1.tar.bz2
Source104: smb.conf.5

# Don't depend on Net::LDAP
Source999: filter-requires-samba.sh

# generic patches
Patch0: samba-3.0.2a-buildroot.patch
Patch1: samba-2.2.0-smbw.patch
Patch2: samba-3.0.0beta1-pipedir.patch
Patch3: samba-3.0.4-nmbd-netbiosname.patch
Patch4: samba-3.0.13-logfiles.patch
Patch5: samba-3.0.7-nmbd_crash.patch
Patch6: samba-3.0.20b-winbind-groupname.patch
Patch7: samba-3.0.20a-bug-2239.patch
Patch8: samba-3.0.20a-try_chown.patch
Patch9: samba-3.0.20b-bug-2836.patch
Patch10: samba-3.0.20b.rename-and_delete_on_close.patch
Patch11: samba-3.0.20b-memory_exhaustion_Dos_against_snmbd.patch
Patch12: samba-3.0.20b-CVE-2007-0452.patch
Patch13: samba-3.0.20b-CVE-2007-0454.patch
Patch14: samba-3.0.20b-CVE-2007-2446.patch
Patch15: samba-3.0.20b-CVE-2007-2447.patch


# Asianux
Patch100: samba-3.0.1-installimg.patch
Patch101: samba-3.0.2a-asianux-conf.patch
Patch102: samba-3.0.7-share_rw_check.patch
Patch103: samba-3.0.10-detect_os.patch
Patch104: samba-3.0.11-timeout.patch

# Samba I18N patches
Patch121: samba-3.0.7-hex.patch
Patch122: samba-3.0.20a-struplower_m_i18n.patch
Patch123: samba-3.0.2a-nmblookup_i18n.patch
Patch124: samba-3.0.4-substitute_i18n.patch
Patch125: samba-3.0.7-smbd-filename.patch
Patch126: samba-3.0.9-strupper_m.patch
Patch127: samba-3.0.20a-add-vfs_abs_audit.patch

Patch200: samba-3.0.10-dumpcore.patch
Patch202: samba-3.0.20a-c++_reserved_word.patch

Requires: pam >= 0.64 %{auth} samba-common = %{version} 
Requires: logrotate >= 3.4 initscripts >= 5.54-1 
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: /sbin/chkconfig /bin/mktemp /usr/bin/killall
Prereq: fileutils sed /etc/init.d 
BuildRequires: pam-devel, readline-devel, ncurses-devel, fileutils, libacl-devel


# Working around perl dependency problem from docs
%define __perl_requires %{SOURCE999}

%description
Samba is the protocol by which a lot of PC-related machines share
files, printers, and other information (such as lists of available
files and printers). The Windows NT, OS/2, and Linux operating systems
support this natively, and add-on packages can enable the same thing
for DOS, Windows, VMS, UNIX of all kinds, MVS, and more. This package
provides an SMB server that can be used to provide network services to
SMB (sometimes called "Lan Manager") clients. Samba uses NetBIOS over
TCP/IP (NetBT) protocols and does NOT need the NetBEUI (Microsoft Raw
NetBIOS frame) protocol.

%package client
Summary: Samba (SMB) client programs.
Group: Applications/System
Requires: samba-common = %{version}
Obsoletes: smbfs

%description client
The samba-client package provides some SMB clients to compliment the
built-in SMB filesystem in Linux. These clients allow access of SMB
shares and printing to SMB printers.

%package common
Summary: Files used by both Samba servers and clients.
Group: Applications/System

%description common
Samba-common provides files necessary for both the server and client
packages of Samba.

%package swat
Summary: The Samba SMB server configuration program.
Group: Applications/System
Requires: samba = %{version} xinetd

%description swat
The samba-swat package includes the new SWAT (Samba Web Administration
Tool), for remotely managing Samba's smb.conf file using your favorite
Web browser.

%prep
%setup -q

# copy Red Hat specific scripts
cp %{SOURCE5} packaging/RedHat/
cp %{SOURCE6} packaging/RedHat/
cp %{SOURCE7} packaging/RedHat/
cp %{SOURCE8} packaging/RedHat/winbind.init

%patch0 -p1 -b .buildroot
%patch1 -p1 -b .smbw
%patch2 -p1 -b .pipedir
%patch3 -p1 -b .nmbd-netbiosname
%patch4 -p1 -b .logfiles
%patch5 -p1 -b .nmbd_dos
%patch6 -p1 -b .winbind
%patch7 -p1 -b .bug2239
%patch8 -p1 -b .chown
%patch9 -p1 -b .bug2836
%patch10 -p1 -b .delete_on_close
%patch11 -p1 -b .against_smbd
%patch12 -p1 -b .CVE-2007-0452
%patch13 -p1 -b .CVE-2007-0454
%patch14 -p1 -b .CVE-2007-2446
%patch15 -p1 -b .CVE-2007-2447


%patch100 -p1 -b .installimg
%patch101 -p1 -b .asianux-conf
%patch102 -p1 -b .share_rw
%patch103 -p1 -b .detect_os
%patch104 -p1 -b .timeout

%patch121 -p1 -b .hex
%patch122 -p1 -b .uplower
%patch123 -p1 -b .nmblookup
%patch124 -p1 -b .substitute
%patch125 -p1 -b .filename
%patch126 -p1 -b .strupper_m
%patch127 -p1 -b .abs_audit

%patch200 -p1 -b .dumpcore

# crap
rm -f examples/VFS/.cvsignore
mv source/VERSION source/VERSION.orig
sed -e 's/SAMBA_VERSION_VENDOR_SUFFIX=$/&\"%{release}\"/' < source/VERSION.orig > source/VERSION
cd source
script/mkversion.sh
cd ..

# samba-vscan VFS module
%if %{vscan}
pushd examples/VFS
tar xfj %{SOURCE100}
popd
%endif

%patch202 -p1 

# Samba HowTo Collection image files
tar xfz %{SOURCE101}

# samba Japanese reference
tar xfz %{SOURCE102}

# tools for usrmgr
pushd examples
tar xfj %{SOURCE103}
popd
%build

# fix smb.conf.5
cp %{SOURCE104} docs/manpages/

pushd source
%ifarch i386 sparc
autoheader
autoconf
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"
%endif
%ifarch ia64
libtoolize --copy --force     # get it to recognize IA-64
autoheader                                               
autoconf
EXTRA="-D_LARGEFILE64_SOURCE"
%endif
%configure \
	--with-acl-support \
	--with-automount \
	--with-codepagedir=%{_datadir}/samba/codepages \
	--with-fhs \
	--with-libdir=%{_libdir}/samba \
	--with-libsmbclient \
	--with-lockdir=/var/cache/samba \
	--with-mmap \
	--with-pam \
	--with-pam_smbpass \
	--with-piddir=/var/run \
	--with-privatedir=%{_sysconfdir}/samba \
	--with-quotas \
	--with-smbmount \
	--with-swatdir=%{_datadir}/swat \
	--with-syslog \
	--with-utmp \
	--with-vfs \
	--without-smbwrapper

make  CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" \
	proto

make  CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" %{?_smp_mflags} \
	all nsswitch/libnss_wins.so modules

make  CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" \
	debug2html

make  CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" \
	smbfilter

make  CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" \
	bin/smbget

popd

## Building vscan modules
%if %{vscan}
pushd examples/VFS/samba-vscan-%{vscan_version}
./configure
make
popd
%endif

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,bin}
mkdir -p $RPM_BUILD_ROOT/%{initdir}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/{pam.d,logrotate.d}
mkdir -p $RPM_BUILD_ROOT/var/{log,spool}/samba
mkdir -p $RPM_BUILD_ROOT/var/cache/samba
mkdir -p $RPM_BUILD_ROOT/var/cache/samba/winbindd_privileged
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/swat/using_samba
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/samba/codepages 

cd source

%makeinstall \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	BASEDIR=$RPM_BUILD_ROOT%{_prefix} \
	SBINDIR=$RPM_BUILD_ROOT%{_sbindir} \
	DATADIR=$RPM_BUILD_ROOT%{_datadir} \
	LOCKDIR=$RPM_BUILD_ROOT/var/cache/samba \
	PRIVATEDIR=$RPM_BUILD_ROOT%{_sysconfdir}/samba \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}/samba \
	CONFIGDIR=$RPM_BUILD_ROOT%{_sysconfdir}/samba \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	VARDIR=$RPM_BUILD_ROOT/var/log/samba \
	CODEPAGEDIR=$RPM_BUILD_ROOT%{_datadir}/samba/codepages \
	SWATDIR=$RPM_BUILD_ROOT%{_datadir}/swat \
	SAMBABOOK=$RPM_BUILD_ROOT%{_datadir}/swat/using_samba \
	PIDDIR=$RPM_BUILD_ROOT/var/run

cd ..

# Install other stuff
install -m644 packaging/RedHat/smb.conf $RPM_BUILD_ROOT%{_sysconfdir}/samba/smb.conf
install -m755 source/script/mksmbpasswd.sh $RPM_BUILD_ROOT%{_bindir}
install -m644 packaging/RedHat/smbusers $RPM_BUILD_ROOT/etc/samba/smbusers
install -m755 packaging/RedHat/smbprint $RPM_BUILD_ROOT%{_bindir}
install -m755 packaging/RedHat/smb.init $RPM_BUILD_ROOT%{initdir}/smb
install -m755 packaging/RedHat/winbind.init $RPM_BUILD_ROOT%{initdir}/winbind
ln -s ../..%{initdir}/smb  $RPM_BUILD_ROOT%{_sbindir}/samba
install -m644 packaging/RedHat/samba.pamd.stack $RPM_BUILD_ROOT/etc/pam.d/samba
install -m644 $RPM_SOURCE_DIR/samba.log $RPM_BUILD_ROOT/etc/logrotate.d/samba
ln -s ../usr/bin/smbmount $RPM_BUILD_ROOT/sbin/mount.smb
ln -s ../usr/bin/smbmount $RPM_BUILD_ROOT/sbin/mount.smbfs
echo 127.0.0.1 localhost > $RPM_BUILD_ROOT%{_sysconfdir}/samba/lmhosts

# install smbget
install -m755 source/bin/smbget $RPM_BUILD_ROOT/%{_bindir}/smbget

# pam_smbpass
mkdir -p $RPM_BUILD_ROOT/%{_lib}/security
mv source/bin/pam_smbpass.so $RPM_BUILD_ROOT/%{_lib}/security/pam_smbpass.so

# winbind
mkdir -p $RPM_BUILD_ROOT/%{_lib}/security
install -m 755 source/nsswitch/pam_winbind.so $RPM_BUILD_ROOT/%{_lib}/security/pam_winbind.so
mkdir -p $RPM_BUILD_ROOT%{_libdir}
install -m 755 source/nsswitch/libnss_winbind.so $RPM_BUILD_ROOT/%{_lib}/libnss_winbind.so.2
ln -sf /%{_lib}/libnss_winbind.so.2  $RPM_BUILD_ROOT%{_libdir}/libnss_winbind.so
install -m 755 source/nsswitch/libnss_wins.so $RPM_BUILD_ROOT/%{_lib}/libnss_wins.so.2
ln -sf /%{_lib}/libnss_wins.so.2  $RPM_BUILD_ROOT%{_libdir}/libnss_wins.so

# libsmbclient

# make install puts libsmbclient.so in the wrong place on x86_64
rm -f $RPM_BUILD_ROOT/usr/lib || true
mkdir -p $RPM_BUILD_ROOT%{_libdir} $RPM_BUILD_ROOT%{_includedir}
install -m 644 source/bin/libsmbclient.so $RPM_BUILD_ROOT%{_libdir}/libsmbclient.so
install -m 644 source/bin/libsmbclient.a $RPM_BUILD_ROOT%{_libdir}/libsmbclient.a
install -m 644 source/include/libsmbclient.h $RPM_BUILD_ROOT%{_includedir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/swat

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/samba

# printer drivers download area
mkdir -p $RPM_BUILD_ROOT/var/samba/printer/W32X86
mkdir -p $RPM_BUILD_ROOT/var/samba/printer/WIN40

rm -f $RPM_BUILD_ROOT%{_mandir}/man1/editreg.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/log2pcap.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/smbsh.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/mount.cifs.8*

# remove html'ized man pages:
# JF rm -rf docs/htmldocs/*.[0-9].*

## Installing Japanese man pages
mkdir -p $RPM_BUILD_ROOT%{_mandir}/ja/man1/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/ja/man5/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/ja/man7/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/ja/man8/
install -m 644 docs/manpages/ja/*.1 $RPM_BUILD_ROOT%{_mandir}/ja/man1/
install -m 644 docs/manpages/ja/*.5 $RPM_BUILD_ROOT%{_mandir}/ja/man5/
install -m 644 docs/manpages/ja/*.7 $RPM_BUILD_ROOT%{_mandir}/ja/man7/
install -m 644 docs/manpages/ja/*.8 $RPM_BUILD_ROOT%{_mandir}/ja/man8/

## Install tools for usrmgr
pushd examples/samba-usrmgr1
mkdir -p $RPM_BUILD_ROOT%{_libdir}/samba/bin/
install -m 755 addmachine.sh $RPM_BUILD_ROOT%{_libdir}/samba/bin/addmachine.sh
install -m 755 addshare.sh $RPM_BUILD_ROOT%{_libdir}/samba/bin/addshare.sh
install -m 755 addusergroup.sh $RPM_BUILD_ROOT%{_libdir}/samba/bin/addusergroup.sh
install -m 755 delusergroup.sh $RPM_BUILD_ROOT%{_libdir}/samba/bin/delusergroup.sh
install -m 755 groupadd.sh $RPM_BUILD_ROOT%{_libdir}/samba/bin/groupadd.sh
install -m 755 groupdel.sh $RPM_BUILD_ROOT%{_libdir}/samba/bin/groupdel.sh
install -m 755 setpgroup.sh $RPM_BUILD_ROOT%{_libdir}/samba/bin/setpgroup.sh
install -m 755 useradd.sh $RPM_BUILD_ROOT%{_libdir}/samba/bin/useradd.sh
install -m 755 userdel.sh $RPM_BUILD_ROOT%{_libdir}/samba/bin/userdel.sh
install -m 755 addshare.pl $RPM_BUILD_ROOT%{_libdir}/samba/bin/addshare.pl
install -m 755 chgshare.pl $RPM_BUILD_ROOT%{_libdir}/samba/bin/chgshare.pl
install -m 755 delshare.pl $RPM_BUILD_ROOT%{_libdir}/samba/bin/delshare.pl
popd

## Installing vscan
%if %{vscan}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/samba/vscan/
pushd examples/VFS/samba-vscan-%{vscan_version}
install -m 755 ./*.so   $RPM_BUILD_ROOT%{_libdir}/samba/vfs/
install -m 644 clamav/vscan-clamav.conf $RPM_BUILD_ROOT%{_sysconfdir}/samba/vscan
install -m 644 fprot/vscan-fprotd.conf  $RPM_BUILD_ROOT%{_sysconfdir}/samba/vscan/
install -m 644 icap/vscan-icap.conf     $RPM_BUILD_ROOT%{_sysconfdir}/samba/vscan/
install -m 644 kaspersky/vscan-kavp.conf        $RPM_BUILD_ROOT%{_sysconfdir}/samba/vscan/
install -m 644 mks/vscan-mks32.conf     $RPM_BUILD_ROOT%{_sysconfdir}/samba/vscan/
install -m 644 openantivirus/vscan-oav.conf       $RPM_BUILD_ROOT%{_sysconfdir}/samba/vscan/
install -m 644 sophos/vscan-sophos.conf   $RPM_BUILD_ROOT%{_sysconfdir}/samba/vscan/
install -m 644 trend/vscan-trend.conf     $RPM_BUILD_ROOT%{_sysconfdir}/samba/vscan/
popd
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add smb

%preun
if [ $1 = 0 ] ; then
    /sbin/chkconfig --del smb
    rm -rf /var/log/samba/* /var/cache/samba/*
    /sbin/service smb stop >/dev/null 2>&1
fi
exit 0

%postun
if [ "$1" -ge "1" ]; then
	%{initdir}/smb condrestart >/dev/null 2>&1
fi	

%post common
/sbin/chkconfig --add winbind
/sbin/ldconfig

%preun common
if [ $1 = 0 ] ; then
    /sbin/chkconfig --del winbind
    /sbin/service winbind stop >/dev/null 2>&1
fi
exit 0

%postun common
/sbin/ldconfig
if [ "$1" -ge "1" ]; then
	%{initdir}/winbind condrestart >/dev/null 2>&1
fi

%triggerpostun -- samba < 1.9.18p7
if [ $1 != 0 ]; then
    /sbin/chkconfig --add smb
fi

%triggerpostun -- samba < 2.0.5a-3
if [ $1 != 0 ]; then
    [ ! -d /var/lock/samba ] && mkdir -m 0755 /var/lock/samba
    [ ! -d /var/spool/samba ] && mkdir -m 1777 /var/spool/samba
    chmod 644 /etc/services
    [ -f /etc/inetd.conf ] && chmod 644 /etc/inetd.conf
fi


%files
%defattr(-,root,root)
%doc README COPYING Manifest 
%doc WHATSNEW.txt Roadmap
%doc docs
%doc examples/autofs examples/LDAP examples/libsmbclient examples/misc examples/printer-accounting
%doc examples/printing

%attr(755,root,root) /%{_lib}/security/pam_smbpass.so
%{_sbindir}/smbd
%{_sbindir}/nmbd
%{_bindir}/mksmbpasswd.sh
%{_bindir}/smbcontrol
%{_bindir}/smbstatus
%{_bindir}/tdbbackup
%config(noreplace) %{_sysconfdir}/sysconfig/samba
%config(noreplace) %{_sysconfdir}/samba/smbusers
%attr(755,root,root) %config %{initdir}/smb
%config(noreplace) %{_sysconfdir}/logrotate.d/samba
%config(noreplace) %{_sysconfdir}/pam.d/samba
%{_mandir}/man1/smbcontrol.1*
%{_mandir}/man1/smbstatus.1*
%{_mandir}/man5/smbpasswd.5*
%{_mandir}/man7/samba.7*
%{_mandir}/man8/nmbd.8*
%{_mandir}/man8/pdbedit.8*
%{_mandir}/man8/smbd.8*
%{_mandir}/man8/tdbbackup.8*
%{_libdir}/samba/vfs/*
%{_libdir}/samba/bin/*
# Japanese man pages
%{_mandir}/ja/man1/smbcontrol.1*
%{_mandir}/ja/man1/smbstatus.1*
%{_mandir}/ja/man5/smbpasswd.5*
%{_mandir}/ja/man7/samba.7*
%{_mandir}/ja/man8/nmbd.8*
%{_mandir}/ja/man8/pdbedit.8*
%{_mandir}/ja/man8/smbd.8*
%{_mandir}/ja/man8/tdbbackup.8*

%attr(0700,root,root) %dir /var/log/samba
%attr(1777,root,root) %dir /var/spool/samba
%attr(0755,root,root) %dir /var/samba/printer
%attr(0755,root,root) %dir /var/samba/printer/W32X86
%attr(0755,root,root) %dir /var/samba/printer/WIN40

%if %{vscan}
%config(noreplace) %{_sysconfdir}/samba/vscan/*.conf
%endif


%files swat
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/xinetd.d/swat
%{_datadir}/swat
%{_sbindir}/swat
%{_mandir}/man8/swat.8*
%{_mandir}/ja/man8/swat.8*
%attr(755,root,root) %{_libdir}/samba/*.msg

%files client
%defattr(-,root,root)
/sbin/mount.smb
/sbin/mount.smbfs
%{_bindir}/rpcclient
%{_bindir}/smbcacls
%{_bindir}/smbmount
%{_bindir}/smbmnt
%{_bindir}/smbumount
%{_bindir}/findsmb
%{_bindir}/smbget
%{_mandir}/man8/smbmnt.8*
%{_mandir}/man8/smbmount.8*
%{_mandir}/man8/smbumount.8*
%{_mandir}/man8/smbspool.8*
%{_bindir}/nmblookup
%{_bindir}/smbclient
%{_bindir}/smbprint
%{_bindir}/smbspool
%{_bindir}/smbtar
%{_bindir}/net
%{_bindir}/smbtree
%{_mandir}/man1/findsmb.1*
%{_mandir}/man1/nmblookup.1*
%{_mandir}/man1/rpcclient.1*
%{_mandir}/man1/smbcacls.1*
%{_mandir}/man1/smbclient.1*
%{_mandir}/man1/smbtar.1*
%{_mandir}/man1/smbtree.1*
%{_mandir}/man8/net.8*
%{_mandir}/man1/smbget.1*
# Japanese man pages
%{_mandir}/ja/man8/smbmnt.8*
%{_mandir}/ja/man8/smbmount.8*
%{_mandir}/ja/man8/smbumount.8*
%{_mandir}/ja/man8/smbspool.8*
%{_mandir}/ja/man8/net.8*
%{_mandir}/ja/man1/findsmb.1*
%{_mandir}/ja/man1/nmblookup.1*
%{_mandir}/ja/man1/rpcclient.1*
%{_mandir}/ja/man1/smbcacls.1*
%{_mandir}/ja/man1/smbclient.1*
%{_mandir}/ja/man1/smbtar.1*
%{_mandir}/ja/man1/smbtree.1*

%files common
%defattr(-,root,root)
%{_libdir}/libnss_wins.so
/%{_lib}/libnss_wins.so.2
%{_libdir}/libnss_winbind.so
/%{_lib}/libnss_winbind.so.2
/%{_lib}/security/pam_winbind.so
%{_libdir}/libsmbclient.a
%{_libdir}/libsmbclient.so
%{_libdir}/samba/charset/CP*.so
%{_libdir}/samba/lowcase.dat
%{_libdir}/samba/upcase.dat
%{_libdir}/samba/valid.dat
%{_includedir}/libsmbclient.h
%{_bindir}/testparm
#%{_bindir}/testprns
%{_bindir}/smbpasswd
%{_bindir}/wbinfo
%{_bindir}/ntlm_auth
%{_bindir}/pdbedit
%{_bindir}/profiles
%{_bindir}/smbcquotas
%{_bindir}/tdbdump
%{_sbindir}/winbindd
%dir /var/cache/samba
%attr(750,root,root) %dir /var/cache/samba/winbindd_privileged
%config(noreplace) %{_sysconfdir}/samba/smb.conf
%config(noreplace) %{_sysconfdir}/samba/lmhosts
%dir %{_datadir}/samba
%dir %{_datadir}/samba/codepages
%dir %{_sysconfdir}/samba
%{initdir}/winbind
%{_mandir}/man1/ntlm_auth.1*
%{_mandir}/man1/profiles.1*
%{_mandir}/man1/smbcquotas.1*
%{_mandir}/man1/testparm.1*
#%{_mandir}/man1/testprns.1*
%{_mandir}/man5/smb.conf.5*
%{_mandir}/man5/lmhosts.5*
%{_mandir}/man8/smbpasswd.8*
%{_mandir}/man1/wbinfo.1*
%{_mandir}/man8/winbindd.8*
%{_mandir}/man1/vfstest.1*
%{_mandir}/man8/tdbdump.8*
# Japanese man pages
%{_mandir}/ja/man1/ntlm_auth.1*
%{_mandir}/ja/man1/profiles.1*
%{_mandir}/ja/man1/smbcquotas.1*
%{_mandir}/ja/man1/testparm.1*
#%{_mandir}/ja/man1/testprns.1*
%{_mandir}/ja/man5/smb.conf.5*
%{_mandir}/ja/man5/lmhosts.5*
%{_mandir}/ja/man8/smbpasswd.8*
%{_mandir}/ja/man1/wbinfo.1*
%{_mandir}/ja/man8/winbindd.8*
%{_mandir}/ja/man1/vfstest.1*


%changelog
* Fri May 18 2007 Atsushi Nakabayashi <nakabayashi@miraclelinux.com> 3.0.20b-3AX
- Security fixes for
  CVE-2007-0452(Patch12,AX#2615/2709)
  CVE-2007-0454(Patch13,AX#2615/2709)
  CVE-2007-2446(Patch14,AX#2615/2709)
  CVE-2007-2447(Patch15,AX#2615/2709)

* Fri Sep 25 2006 Atsushi Nakabayashi <nakabayashi@miraclelinux.com> 3.0.20b-2AX
- patch11 to fix Memory exhaustion DoS against smbd (CVE-2006-3403, AX#1642/1643, Patch11)

* Fri Jun 10 2006 Atsushi Nakabayashi <nakabayashi@miraclelinux.com> 3.0.20b-1AX
- upgrade to 3.0.20b
  modified and renamed from Patch6 to Patch10, Patch122, Patch127 and Patch202 for samba-3.0.20b

* Fri Jan 24 2006 Atsushi Nakabayashi <nakabayashi@miraclelinux.com> 3.0.14a-26AX
- patch10 to password never expires bug (#2836)
- patch11 : Fix EDEADLCK problem with deferred open calls(svn commit:samba r6543,r6593)
- patch12 to fix removing old name file on DELETE_ON_CLOSE(#3303)

* Tue May 17 2005 Shiro Yamada <shiro@miraclelinux.com> 3.0.14a-25AX
- patch109 to address ACL bug (#2346)

* Thu Apr 28 2005 Shiro Yamada <shiro@miraclelinux.com> 3.0.14a-24AX
- upgrade to 3.0.14a
- apply patch201 for building samba
- apply patch8 for fixing group ACL manipulation

* Fri Mar 25 2005 Shiro Yamada <shiro@miraclelinux.com> 3.0.13-23AX
- upgrade to samba-3.0.13, clean up spec file
- make smbldap-tools a standalone package
- fix Excel related bug, Bugzilla 2239 (Patch7)
- allocate sufficient amount of timeout for cli_connect(Patch104)
- add abs_audit module (Patch128)

* Fri Mar 25 2005 Shiro Yamada <shiro@miraclelinux.com> 3.0.10-22AX
- apply a patch for retrieving server_os information

* Tue Jan  4 2005 Shiro Yamada <shiro@miraclelinux.com> 3.0.10-21AX
- specify correct libdir for configure

* Tue Jan  4 2005 Shiro Yamada <shiro@miraclelinux.com> 3.0.10-20AX
- fixed a bug which winbind displays raw gid numbers instead of group
  names when expanding %G and %g macros in template home

* Fri Dec 17 2004 Shiro Yamada <shiro@miraclelinux.com> 3.0.10-19AX
- upgraded it to 3.0.10, for the sake of fixing CAN-2004-1154
- applied a patch (No.129) to convert defined values in UTF-8

* Tue Nov 30 2004 Shiro Yamada <shiro@miraclelinux.com> 3.0.7-18AX
- applied security fixes for CAN-2004-0882 and CAN-2004-0930
  (patch17, patch18)

* Wed Oct 19 2004 Hideo Takeuchi <takeuchi@miraclelinux.com> 3.0.7-17AX
- Update to 3.0.7
- patch-number-changes into No.8 from No.4
- patch-number-changes into No.9 from No.7
- patch-number-changes into No.128 from No.121
- patch-number-changes into No.129 from No.122
- patch-number-changes into No.130 from No.126
- add example scripts for usrmgr(Source No.105)
- fix pdb user is deleted before deleting UNIX user(Patch No.10)
- fix MS04-11 problem.(Patch No.11)
- fix core dump in 'net rpc vampire'(Patch No.12)
- ldapsam_compat robust against NULL attributes(Patch No.13)
- fix client quota support(Patch No.14)
- fix opening of quota file(Patch No.15)
- fix ldap user attributes to delete(Patch No.16)
- smbldap-useradd.pl and smbldap-passwd.pl change(Patch No.108)
- fix str{upper|lower}_m functions corruption(Patch No.131)
- enable dump core(Patch No.200)

* Tue Sep 14 2004 Shiro Yamada <shiro@miraclelinux.com> 3.0.5-16AX
- fixed DoS bugs CAN-2004-0807, CAN-2004-0808 (patch #6, #7)

* Tue Sep  7 2004 Shiro Yamada <shiro@miraclelinux.com> 3.0.5-15AX
- fixed nstring bug which causes nmbd to terminate (#127)
- fixed printer support for Windows XP SP2 (#5)

* Mon Jul 26 2004 Shiro Yamada <shiro@miraclelinux.com> 3.0.5-14AX
- fixed "read list" and "write list" paramters bug under security = share
  (Patch #106)

* Fri Jul 23 2004 Hideo Takeuchi <takeuchi@miraclelinux.com> 3.0.5-13AX
- Update to 3.0.5
- fix smbd is panic when it is Japanese-PATH-name(Patch No.126)

* Sat Jun 12 2004 Yasuma Takeda <yasuma@miraclelinux.com> 3.0.4-1AX
- Update to 3.0.4
- Update samba-vscan to 0.3.5 

* Mon May 10 2004 Yasuma Takeda <yasuma@miraclelinux.com> 3.0.2a-9AX
- fix KB828741 problem. The fix is backported from 3.0.4 (Patch No.104)
- fix profile path option of LDAP (Patch No.105)

* Sun Apr 25 2004 Yasuma Takeda <yasuma@miraclelinux.com> 3.0.2a-8AX
- add convertSambaAccount script to migrate from Samba2.2-LDAP
- add example scripts for usrmgr(Source No.103)
- fix smb.conf.5(Source No.104)

* Thu Apr  8 2004 Yasuma Takeda <yasuma@miraclelinux.com> 3.0.2a-7AX
- change passdb backend paramter to smbpasswd 

* Wed Apr  7 2004 Yasuma Takeda <yasuma@miraclelinux.com> 3.0.2a-6AX
- add [printer$] section for download drivers function(Patch No.103)
- fix smbldap-useradd and smbldap-passwd to use smbpasswd(Patch No.102)

* Tue Mar 30 2004 Yasuma Takeda <yasuma@miraclelinux.com> 3.0.2a-5AX
- Fixed null terminate of statuspage(Patch No.130)
- samba-common has lowcase.dat,upcase.dat,valid.dat

* Wed Mar 24 2004 Yasuma Takeda <yasuma@miraclelinux.com> 3.0.2a-4AX
- swap smbldap_conf.pm and symbolic link
- Add some image files of Samba HowTo Collection(Source No.101, Patch No.101)
- Add Japanese Documentation(Source No.102)
- Fix file name handling on statuspage of SWAT(Patch No.130)

* Thu Mar 18 2004 Yasuma Takeda <yasuma@miraclelinux.com> 3.0.2a-3AX
- Add Samba I18N patches(Patch No.121-129)

* Mon Feb 23 2004 Yasuma Takeda <yasuma@miraclelinux.com> 3.0.2a-2AX
- Add smbldap-tools and patches to use Samba LDAP more easy.(Patch No.100)
- Add vscan module to connect to virus scanning software

* Tue Feb 17 2004 Yasuma Takeda <yasuma@miraclelinux.com> 3.0.2a-1AX
- Update to samba-3.0.2a
- refine spec file for Asianux

* Thu Sep 25 2003 Jay Fenlason <fenlason@redhat.com> 3.0.0-14.3E
- New upstream version
- remove obsolete domain controller patch since it was applied upstream.

* Wed Sep 17 2003 Jay Fenlason <fenlason@redhat.com> 3.0.0-12.rc4.3E
- Make /var/cache/samba/winbindd_privileged 750 mode.  This fixes a
  potentially serious security problem.
- turn on parallel make on smp machines.
- Include a patch to make testparm test global permissions as well as per-share
  ones.  This fixes #104290

* Mon Sep 15 2003 Jay Fenlason <fenlason@redhat.com> 3.0.0-10rc4.3E
- new upstream version, with fix for #104162
- Include a patch to produce an error if testparm is called with only a machine
  name or ip address.  Both are required.  Closes #104185
- Include Lon's patch to make nmbd -n work again.  Closes #104222
- Remove "domain controller" from smb.conf.  This re-closes #1297

* Mon Sep 15 2003 Than Ngo <than@redhat.com> 3.0.0-8rc3.3E
- disable pie support

* Tue Sep 2 2003 Jay Fenlason <fenlason@redhat.com> 3.0.0-6rc3.3E
- new upstream version
- Includes fix for #103751 (findsmb not showing OS or server version)
- Enable pie support
- set SAMBA_VERSION_VENDOR_SUFFIX
- manually "rm -f /usr/lib" since on amd64 platforms the Makefile accidentally
  makes a file of that name when trying to install libsmbclient.

* Wed Aug 27 2003 Jay Fenlason <fenlason@redhat.com> 3.0.0-3rc1.3E
- Add patch so rc1 builds correctly by making libads/kerberos.c be
  compiled with -fPIC for inclusion in nsswitch/libnss_wins.so

* Mon Aug 18 2003 Jay Fenlason <fenlason@redhat.com>
- New upstream version (3.0.0rc1)
- updated the -logfiles patch to work with rc1.

* Thu Jul 31 2003 Jay Fenlason <fenlason@redhat.com> 3.0.0-2beta3.3E
- Correct log file names (#100981).
- Fix pidfile directory in samab.log
- Remove obsolete samba-3.0.0beta2.tar.bz2.md5 file
- Move libsmbclient to the -common package (#99449)

* Mon Jul 7 2003 Jay Fenlason <fenlason@redhat.com> 3.0.0-0beta3.3E
- New upstream version
- hacked to call the package 3.0.0 even though the upstream bits are 3.0.0beta3

* Wed May 28 2003 Jay Fenlason <fenlason@redhat.com> 2.2.8a-2.3E
- Branch for Red Hat Enterprise Linux 3
- Merge ldconfig changes from 1.26
- add libsmbclient.so for gnome-vfs-extras
- Edit specfile to specify /var/run for pid files
- Move /tmp/.winbindd/socket to /var/run/winbindd/socket

* Thu Apr 24 2003 Jay Fenlason <fenlason@redhat.com> 2.2.8a-1
- upgrade to 2.2.8a
- remove old .md5 files
- add "pid directory = /var/run" to the smb.conf file.  Fixes #88495
- Patch from jra@dp.samba.org to fix a delete-on-close regression

* Mon Mar 24 2003 Jay Fenlason <fenlason@redhat.com> 2.2.8-0
- Upgrade to 2.2.8
- removed commented out patches.
- removed old patches and .md5 files from the repository.
- remove duplicate /sbin/chkconfig --del winbind which causes
  warnings when removing samba.
- Fixed minor bug in smbprint that causes it to fail when called with
  more than 10 parameters: the accounting file (and spool directory
  derived from it) were being set wrong due to missing {}.  This closes
  bug #86473.
- updated smb.conf patch, includes new defaults to close bug #84822.

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 20 2003 Jonathan Blandford <jrb@redhat.com> 2.2.7a-5
- remove swat.desktop file

* Thu Feb 20 2003 Nalin Dahyabhai <nalin@redhat.com> 2.2.7a-4
- relink libnss_wins.so with SHLD="%{__cc} -lnsl" to force libnss_wins.so to
  link with libnsl, avoiding unresolved symbol errors on functions in libnsl

* Mon Feb 10 2003 Jay Fenlason <fenlason@redhat.com> 2.2.7a-3
- edited spec file to put .so files in the correct directories
  on 64-bit platforms that have 32-bit compatability issues
  (sparc64, x86_64, etc).  This fixes bugzilla #83782.
- Added samba-2.2.7a-error.patch from twaugh.  This fixes
  bugzilla #82454.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jan  9 2003 Jay Fenlason <fenlason@redhat.com> 2.2.7a-1
- Update to 2.2.7a
- Change default printing system to CUPS
- Turn on pam_smbpass
- Turn on msdfs

* Sat Jan  4 2003 Jeff Johnson <jbj@redhat.com> 2.2.7-5
- use internal dep generator.

* Sat Dec 14 2002 Tim Powers <timp@redhat.com> 2.2.7-4
- don't use rpms internal dep generator

* Mon Dec 02 2002 Elliot Lee <sopwith@redhat.com> 2.2.7-3
- Fix missing doc files.
- Fix multilib issues

* Wed Nov 20 2002 Bill Nottingham <notting@redhat.com> 2.2.7-2
- update to 2.2.7
- add patch for LFS in smbclient (<tcallawa@redhat.com>)

* Wed Aug 28 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.5-10
- logrotate fixes (#65007)

* Mon Aug 26 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.5-9
- /usr/lib was used in place of %%{_libdir} in three locations (#72554)

* Mon Aug  5 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.5-8
- Initscript fix (#70720)

* Fri Jul 26 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.5-7
- Enable VFS support and compile the "recycling" module (#69796)
- more selective includes of the examples dir 

* Tue Jul 23 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.5-6
- Fix the lpq parser for better handling of LPRng systems (#69352)

* Tue Jul 23 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.5-5
- desktop file fixes (#69505)

* Wed Jun 26 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.5-4
- Enable ACLs

* Tue Jun 25 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.5-3
- Make it not depend on Net::LDAP - those are doc files and examples

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 20 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.5-1
- 2.2.5

* Fri Jun 14 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.4-5
- Move the post/preun of winbind into the -common subpackage, 
  where the script is (#66128)

* Tue Jun  4 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.4-4
- Fix pidfile locations so it runs properly again (2.2.4 
  added a new directtive - #65007)

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 14 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.4-2
- Fix #64804

* Thu May  9 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.4-1
- 2.2.4
- Removed some zero-length and CVS internal files
- Make it build

* Wed Apr 10 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.3a-6
- Don't use /etc/samba.d in smbadduser, it should be /etc/samba

* Thu Apr  4 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.3a-5
- Add libsmbclient.a w/headerfile for KDE (#62202)

* Tue Mar 26 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.3a-4
- Make the logrotate script look the correct place for the pid files 

* Thu Mar 14 2002 Nalin Dahyabhai <nalin@redhat.com> 2.2.3a-3
- include interfaces.o in pam_smbpass.so, which needs symbols from interfaces.o
  (patch posted to samba-list by Ilia Chipitsine)

* Thu Feb 21 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.3a-2
- Rebuild

* Thu Feb  7 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.3a-1
- 2.2.3a

* Mon Feb  4 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.2.3-1
- 2.2.3

* Thu Nov 29 2001 Trond Eivind Glomsrd <teg@redhat.com> 2.2.2-8
- New pam configuration file for samba

* Tue Nov 27 2001 Trond Eivind Glomsrd <teg@redhat.com> 2.2.2-7
- Enable PAM session controll and password sync

* Tue Nov 13 2001 Trond Eivind Glomsrd <teg@redhat.com> 2.2.2-6
- Move winbind files to samba-common. Add separate initscript for
  winbind 
- Fixes for winbind - protect global variables with mutex, use
  more secure getenv

* Thu Nov  8 2001 Trond Eivind Glomsrd <teg@redhat.com> 2.2.2-5
- Teach smbadduser about "getent passwd" 
- Fix more pid-file references
- Add (conditional) winbindd startup to the initscript, configured in
  /etc/sysconfig/samba

* Wed Nov  7 2001 Trond Eivind Glomsrd <teg@redhat.com> 2.2.2-4
- Fix pid-file reference in logrotate script
- include pam and nss modules for winbind

* Mon Nov  5 2001 Trond Eivind Glomsrd <teg@redhat.com> 2.2.2-3
- Add "--with-utmp" to configure options (#55372)
- Include winbind, pam_smbpass.so, rpcclient and smbcacls
- start using /var/cache/samba, we need to keep state and there is
  more than just locks involved

* Sat Nov 03 2001 Florian La Roche <Florian.LaRoche@redhat.de> 2.2.2-2
- add "reload" to the usage string in the startup script

* Mon Oct 15 2001 Trond Eivind Glomsrd <teg@redhat.com> 2.2.2-1
- 2.2.2

* Tue Sep 18 2001 Trond Eivind Glomsrd <teg@redhat.com> 2.2.1a-5
- Add patch from Jeremy Allison to fix IA64 alignment problems (#51497)

* Mon Aug 13 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Don't include smbpasswd in samba, it's in samba-common (#51598)
- Add a disabled "obey pam restrictions" statement - it's not
  active, as we use encrypted passwords, but if the admin turns
  encrypted passwords off the choice is available. (#31351)

* Wed Aug  8 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Use /var/cache/samba instead of /var/lock/samba 
- Remove "domain controller" keyword from smb.conf, it's 
  deprecated (from #13704)
- Sync some examples with smb.conf.default
- Fix password synchronization (#16987)

* Fri Jul 20 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Tweaks of BuildRequires (#49581)

* Wed Jul 11 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 2.2.1a bugfix release

* Tue Jul 10 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 2.2.1, which should work better for XP

* Sat Jun 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 2.2.0a security fix
- Mark lograte and pam configuration files as noreplace

* Fri Jun 22 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add the /etc/samba directory to samba-common

* Thu Jun 21 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add improvements to the smb.conf as suggested in #16931

* Tue Jun 19 2001 Trond Eivind Glomsrd <teg@redhat.com>
  (these changes are from the non-head version)
- Don't include /usr/sbin/samba, it's the same as the initscript
- unset TMPDIR, as samba can't write into a TMPDIR owned 
  by root (#41193)
- Add pidfile: lines for smbd and nmbd and a config: line
  in the initscript  (#15343)
- don't use make -j
- explicitly include /usr/share/samba, not just the files in it

* Tue Jun 19 2001 Bill Nottingham <notting@redhat.com>
- mount.smb/mount.smbfs go in /sbin, *not* %%{_sbindir}

* Fri Jun  8 2001 Preston Brown <pbrown@redhat.com>
- enable encypted passwords by default

* Thu Jun  7 2001 Helge Deller <hdeller@redhat.de> 
- build as 2.2.0-1 release
- skip the documentation-directories docbook, manpages and yodldocs
- don't include *.sgml documentation in package
- moved codepage-directory to /usr/share/samba/codepages
- make it compile with glibc-2.2.3-10 and kernel-headers-2.4.2-2   

* Mon May 21 2001 Helge Deller <hdeller@redhat.de> 
- updated to samba 2.2.0
- moved codepages to %{_datadir}/samba/codepages
- use all available CPUs for building rpm packages
- use %{_xxx} defines at most places in spec-file
- "License:" replaces "Copyright:"
- dropped excludearch sparc
- de-activated japanese patches 100 and 200 for now 
  (they need to be fixed and tested wth 2.2.0)
- separated swat.desktop file from spec-file and added
  german translations
- moved /etc/sysconfig/samba to a separate source-file
- use htmlview instead of direct call to netscape in 
  swat.desktop-file

* Mon May  7 2001 Bill Nottingham <notting@redhat.com>
- device-remove security fix again (<tridge@samba.org>)

* Fri Apr 20 2001 Bill Nottingham <notting@redhat.com>
- fix tempfile security problems, officially (<tridge@samba.org>)
- update to 2.0.8

* Sun Apr  8 2001 Bill Nottingham <notting@redhat.com>
- turn of SSL, kerberos

* Thu Apr  5 2001 Bill Nottingham <notting@redhat.com>
- fix tempfile security problems (patch from <Marcus.Meissner@caldera.de>)

* Thu Mar 29 2001 Bill Nottingham <notting@redhat.com>
- fix quota support, and quotas with the 2.4 kernel (#31362, #33915)

* Mon Mar 26 2001 Nalin Dahyabhai <nalin@redhat.com>
- tweak the PAM code some more to try to do a setcred() after initgroups()
- pull in all of the optflags on i386 and sparc
- don't explicitly enable Kerberos support -- it's only used for password
  checking, and if PAM is enabled it's a no-op anyway

* Mon Mar  5 2001 Tim Waugh <twaugh@redhat.com>
- exit successfully from preun script (bug #30644).

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Wed Feb 14 2001 Bill Nottingham <notting@redhat.com>
- updated japanese stuff (#27683)

* Fri Feb  9 2001 Bill Nottingham <notting@redhat.com>
- fix trigger (#26859)

* Wed Feb  7 2001 Bill Nottingham <notting@redhat.com>
- add i18n support, japanese patch (#26253)

* Wed Feb  7 2001 Trond Eivind Glomsrd <teg@redhat.com>
- i18n improvements in initscript (#26537)

* Wed Jan 31 2001 Bill Nottingham <notting@redhat.com>
- put smbpasswd in samba-common (#25429)

* Wed Jan 24 2001 Bill Nottingham <notting@redhat.com>
- new i18n stuff

* Sun Jan 21 2001 Bill Nottingham <notting@redhat.com>
- rebuild

* Thu Jan 18 2001 Bill Nottingham <notting@redhat.com>
- i18n-ize initscript
- add a sysconfig file for daemon options (#23550)
- clarify smbpasswd man page (#23370)
- build with LFS support (#22388)
- avoid extraneous pam error messages (#10666)
- add Urban Widmark's bug fixes for smbmount (#19623)
- fix setgid directory modes (#11911)
- split swat into subpackage (#19706)

* Wed Oct 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- set a default CA certificate path in smb.conf (#19010)
- require openssl >= 0.9.5a-20 to make sure we have a ca-bundle.crt file

* Mon Oct 16 2000 Bill Nottingham <notting@redhat.com>
- fix swat only_from line (#18726, others)
- fix attempt to write outside buildroot on install (#17943)

* Mon Aug 14 2000 Bill Nottingham <notting@redhat.com>
- add smbspool back in (#15827)
- fix absolute symlinks (#16125)

* Sun Aug 6 2000 Philipp Knirsch <pknirsch@redhat.com>
- bugfix for smbadduser script (#15148)

* Mon Jul 31 2000 Matt Wilson <msw@redhat.com>
- patch configure.ing (patch11) to disable cups test
- turn off swat by default

* Fri Jul 28 2000 Bill Nottingham <notting@redhat.com>
- fix condrestart stuff

* Fri Jul 21 2000 Bill Nottingham <notting@redhat.com>
- add copytruncate to logrotate file (#14360)
- fix init script (#13708)

* Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back
- remove 'Using Samba' book from %%doc 
- move stuff to /etc/samba (#13708)
- default configuration tweaks (#13704)
- some logrotate tweaks

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Bill Nottingham <notting@redhat.com>
- fix logrotate script (#13698)

* Thu Jul  6 2000 Bill Nottingham <notting@redhat.com>
- fix initscripts req (prereq /etc/init.d)

* Wed Jul 5 2000 Than Ngo <than@redhat.de>
- add initdir macro to handle the initscript directory
- add a new macro to handle /etc/pam.d/system-auth

* Thu Jun 29 2000 Nalin Dahyabhai <nalin@redhat.com>
- enable Kerberos 5 and SSL support
- patch for duplicate profile.h headers

* Thu Jun 29 2000 Bill Nottingham <notting@redhat.com>
- fix init script

* Tue Jun 27 2000 Bill Nottingham <notting@redhat.com>
- rename samba logs (#11606)

* Mon Jun 26 2000 Bill Nottingham <notting@redhat.com>
- initscript munging

* Fri Jun 16 2000 Bill Nottingham <notting@redhat.com>
- configure the swat stuff usefully
- re-integrate some specfile tweaks that got lost somewhere

* Thu Jun 15 2000 Bill Nottingham <notting@redhat.com>
- rebuild to get rid of cups dependency

* Wed Jun 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- tweak logrotate configurations to use the PID file in /var/lock/samba

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- rebuild in new environment

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- change PAM setup to use system-auth

* Mon May  8 2000 Bill Nottingham <notting@redhat.com>
- fixes for ia64

* Sat May  6 2000 Bill Nottingham <notting@redhat.com>
- switch to %%configure

* Wed Apr 26 2000 Nils Philippsen <nils@redhat.de>
- version 2.0.7

* Sun Mar 26 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- simplify preun

* Thu Mar 16 2000 Bill Nottingham <notting@redhat.com>
- fix yp_get_default_domain in autoconf
- only link against readline for smbclient
- fix log rotation (#9909)

* Fri Feb 25 2000 Bill Nottingham <notting@redhat.com>
- fix trigger, again.

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- fix trigger.

* Fri Feb  4 2000 Bill Nottingham <notting@redhat.com>
- turn on quota support

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fox dependencies
- man pages are compressed

* Fri Jan 21 2000 Bill Nottingham <notting@redhat.com>
- munge post scripts slightly

* Wed Jan 19 2000 Bill Nottingham <notting@redhat.com>
- turn on mmap again. Wheee.
- ship smbmount on alpha

* Mon Dec  6 1999 Bill Nottingham <notting@redhat.com>
- turn off mmap. ;)

* Wed Dec  1 1999 Bill Nottingham <notting@redhat.com>
- change /var/log/samba to 0700
- turn on mmap support

* Thu Nov 11 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.6

* Fri Oct 29 1999 Bill Nottingham <notting@redhat.com>
- add a %defattr for -common

* Tue Oct  5 1999 Bill Nottingham <notting@redhat.com>
- shift some files into -client
- remove /home/samba from package.

* Tue Sep 28 1999 Bill Nottingham <notting@redhat.com>
- initscript oopsie. killproc <name> -HUP, not other way around.

* Sat Sep 26 1999 Bill Nottingham <notting@redhat.com>
- script cleanups. Again.

* Wed Sep 22 1999 Bill Nottingham <notting@redhat.com>
- add a patch to fix dropped reconnection attempts

* Mon Sep  6 1999 Jeff Johnson <jbj@redhat.com>
- use cp rather than mv to preserve /etc/services perms (#4938 et al).
- use mktemp to generate /etc/tmp.XXXXXX file name.
- add prereqs on sed/mktemp/killall (need to move killall to /bin).
- fix trigger syntax (i.e. "samba < 1.9.18p7" not "samba < samba-1.9.18p7")

* Mon Aug 30 1999 Bill Nottingham <notting@redhat.com>
- sed "s|nawk|gawk|" /usr/bin/convert_smbpasswd

* Sat Aug 21 1999 Bill Nottingham <notting@redhat.com>
- fix typo in mount.smb

* Fri Aug 20 1999 Bill Nottingham <notting@redhat.com>
- add a %trigger to work around (sort of) broken scripts in
  previous releases

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Mon Aug  9 1999 Bill Nottingham <notting@redhat.com>
- add domain parsing to mount.smb

* Fri Aug  6 1999 Bill Nottingham <notting@redhat.com>
- add a -common package, shuffle files around.

* Fri Jul 23 1999 Bill Nottingham <notting@redhat.com>
- add a chmod in %postun so /etc/services & inetd.conf don't become unreadable

* Wed Jul 21 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.5
- fix mount.smb - smbmount options changed again.........
- fix postun. oops.
- update some stuff from the samba team's spec file.

* Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- split off clients into separate package
- don't run samba by default

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- fix one problem with mount.smb script
- fix smbpasswd on sparc with a really ugly kludge

* Thu Jun 10 1999 Dale Lovelace <dale@redhat.com>
- fixed logrotate script

* Tue May 25 1999 Bill Nottingham <notting@redhat.com>
- turn of 64-bit locking on 32-bit platforms

* Thu May 20 1999 Bill Nottingham <notting@redhat.com>
- so many releases, so little time
- explicitly uncomment 'printing = bsd' in sample config

* Tue May 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.4a
- fix mount.smb arg ordering

* Fri Apr 16 1999 Bill Nottingham <notting@redhat.com>
- go back to stop/start for restart (-HUP didn't work in testing)

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- add a mount.smb to make smb mounting a little easier.
- smb filesystems apparently don't work on alpha. Oops.

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- always create codepages

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- updated init script to use graceful restart (not stop/start)

* Tue Mar  9 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.3

* Thu Feb 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.2

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- swat swat

* Tue Feb  9 1999 Bill Nottingham <notting@redhat.com>
- fix bash2 breakage in post script

* Fri Feb  5 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.0

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- make sure all binaries are stripped

* Thu Sep 17 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.9.18p10.
- fix %triggerpostun.

* Tue Jul 07 1998 Erik Troan <ewt@redhat.com>
- updated postun triggerscript to check $0
- clear /etc/codepages from %preun instead of %postun

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- made the %postun script a tad less agressive; no reason to remove
  the logs or lock file (after all, if the lock file is still there,
  samba is still running)
- the %postun and %preun should only exectute if this is the final
  removal
- migrated %triggerpostun from Red Hat's samba package to work around
  packaging problems in some Red Hat samba releases

* Sun Apr 26 1998 John H Terpstra <jht@samba.anu.edu.au>
- minor tidy up in preparation for release of 1.9.18p5
- added findsmb utility from SGI package

* Wed Mar 18 1998 John H Terpstra <jht@samba.anu.edu.au>
- Updated version and codepage info.
- Release to test name resolve order

* Sat Jan 24 1998 John H Terpstra <jht@samba.anu.edu.au>
- Many optimisations (some suggested by Manoj Kasichainula <manojk@io.com>
- Use of chkconfig in place of individual symlinks to /etc/rc.d/init/smb
- Compounded make line
- Updated smb.init restart mechanism
- Use compound mkdir -p line instead of individual calls to mkdir
- Fixed smb.conf file path for log files
- Fixed smb.conf file path for incoming smb print spool directory
- Added a number of options to smb.conf file
- Added smbadduser command (missed from all previous RPMs) - Doooh!
- Added smbuser file and smb.conf file updates for username map

